Commit 0022d193 authored by Natanael Copa's avatar Natanael Copa

x11/webkit: upgrade to 1.1.4

parent 20686158
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=webkit
pkgver=1.1.3
pkgver=1.1.4
pkgrel=0
pkgdesc="A webbrowser engine"
url="http://webkit.org/"
pkgdesc="portable web rendering engine WebKit for GTK+"
url="http://webkitgtk.org/"
license="LGPL BSD"
depends="uclibc libsoup pango gtk+ libjpeg libpng libxml2 gperf icu cairo
atk gnutls sqlite libxslt libxt libiconv"
atk gnutls sqlite libxslt libxt libiconv gettext zlib libgcrypt
libgpg-error expat libuuid"
makedepends="
libsoup-dev pango-dev gtk+-dev libjpeg-dev libpng-dev libxml2-dev
gperf pkgconfig bison flex uclibc++-dev icu-dev cairo-dev atk-dev
gnutls-dev sqlite-dev libxslt-dev libxt-dev libiconv-dev
gnutls-dev sqlite-dev libxslt-dev libxt-dev libiconv-dev gettext-dev
zlib-dev libgcrypt-dev libgpg-error-dev expat-dev e2fsprogs-dev
"
install=
subpackages="$pkgname-dev gtklauncher"
......@@ -20,10 +22,12 @@ depends_dev="gtk+-dev libsoup-dev"
build() {
cd "$srcdir"/$pkgname-$pkgver
# html5 video requires gstreamer, we turn off for now
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info
--infodir=/usr/share/info \
--disable-video
make || return 1
make DESTDIR="$pkgdir" install
}
......@@ -36,4 +40,4 @@ gtklauncher() {
"$subpkgdir"/usr/bin/GtkLauncher
}
md5sums="9c1dcba372e2a56d6011ad807abc80e6 webkit-1.1.3.tar.gz"
md5sums="2c941eb9ad9e791fba9b57bf252e3f04 webkit-1.1.4.tar.gz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment